curl https://hapi.7331.org/v1/bot/guilds/987654321098765432 \
-H "X-API-Key: your-bot-api-key"
{
"discord_id": "987654321098765432",
"name": "Example Server",
"prefix": "!",
"member_count": 150,
"is_whitelisted": true,
"owner_discord_id": "123456789012345678",
"state": 0,
"id": 42,
"has_bot": true,
"first_joined_at": "2025-01-01T00:00:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
Bot-authenticated lookup of a guild’s profile by Discord ID.
curl https://hapi.7331.org/v1/bot/guilds/987654321098765432 \
-H "X-API-Key: your-bot-api-key"
{
"discord_id": "987654321098765432",
"name": "Example Server",
"prefix": "!",
"member_count": 150,
"is_whitelisted": true,
"owner_discord_id": "123456789012345678",
"state": 0,
"id": 42,
"has_bot": true,
"first_joined_at": "2025-01-01T00:00:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
curl https://hapi.7331.org/v1/bot/guilds/987654321098765432 \
-H "X-API-Key: your-bot-api-key"
{
"discord_id": "987654321098765432",
"name": "Example Server",
"prefix": "!",
"member_count": 150,
"is_whitelisted": true,
"owner_discord_id": "123456789012345678",
"state": 0,
"id": 42,
"has_bot": true,
"first_joined_at": "2025-01-01T00:00:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
Was this page helpful?